summaryrefslogtreecommitdiff
path: root/.github/downstream.d
diff options
context:
space:
mode:
authorAlex Gaynor <alex.gaynor@gmail.com>2020-11-13 19:55:05 -0500
committerGitHub <noreply@github.com>2020-11-13 18:55:05 -0600
commitd22bdc87eede21e5ed592c1194e6a7002ef8a76a (patch)
tree146c8ac42ea688ce7975a9240c48d330bed1d974 /.github/downstream.d
parent488cd740bb9502af7faad79c0575c5454045e0d0 (diff)
downloadcryptography-d22bdc87eede21e5ed592c1194e6a7002ef8a76a.tar.gz
Move paramiko job to github actions (#5565)
Diffstat (limited to '.github/downstream.d')
-rwxr-xr-x.github/downstream.d/paramiko.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/.github/downstream.d/paramiko.sh b/.github/downstream.d/paramiko.sh
new file mode 100755
index 000000000..c994defb0
--- /dev/null
+++ b/.github/downstream.d/paramiko.sh
@@ -0,0 +1,18 @@
+#!/bin/bash -ex
+
+case "${1}" in
+ install)
+ git clone --depth=1 https://github.com/paramiko/paramiko
+ cd paramiko
+ git rev-parse HEAD
+ pip install -e .
+ pip install -r dev-requirements.txt
+ ;;
+ run)
+ cd paramiko
+ inv test
+ ;;
+ *)
+ exit 1
+ ;;
+esac